Authentication by IP

Authentication ::: auth_ip
Maintained by Jordi Pujol-Ahulló, Robert Boloc, Daniel Tome Fernandez, Cristian Martinez
This authentication plugin helps to manage manual accounts being accessed only by the list of restricted IPs.

Authentication by IP 2021081100

Moodle 3.3, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9, 3.10, 3.11
Released: Wednesday, August 11, 2021, 3:35 PM

Release notes

  1. (#12) Minimum Moodle version supported is 3.3.
  2. (#12) Use Github Actions to pass tests and update release on Moodle plugins directory.

Contributors

Maintained by:

  • Jordi Pujol-Ahulló (at SREd, Universitat Rovira i Virgili).

See all Github contributors

Version information

Version build number
2021081100
Version release name
2021081100
Maturity
Stable version
MD5 Sum
70b7d8fc60b700bd1e74dfb304bcafc1
Supported software
Moodle 3.3, Moodle 3.4, Moodle 3.5, Moodle 3.6, Moodle 3.7, Moodle 3.8, Moodle 3.9, Moodle 3.10, Moodle 3.11
  • Latest release for Moodle 3.3
  • Latest release for Moodle 3.4
  • Latest release for Moodle 3.5
  • Latest release for Moodle 3.6
  • Latest release for Moodle 3.7
  • Latest release for Moodle 3.8
  • Latest release for Moodle 3.9
  • Latest release for Moodle 3.10
  • Latest release for Moodle 3.11

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS tag
2021081100

Default installation instructions for plugins of the type Authentication

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myauth") in the "auth" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation